Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deft.extension.decoration.style.container
Class CssDeclarationStyleContainer

    java.lang.Object
      org.deft.extension.decoration.style.container.StyleContainer
          org.deft.extension.decoration.style.container.CssDeclarationStyleContainer

    public class CssDeclarationStyleContainer

extends StyleContainer

Holds information in Cascading Style Sheets format. css=[declaration] declaration=value:property;

Author:
  Martin Heinzerling

Constructor Summary
`CssDeclarationStyleContainer()`
`CssDeclarationStyleContainer(java.lang.String text)`

Method Summary
`CssDeclarationStyleContainer` | `clone()`
`void` | `parse(java.lang.String text)` Loads informations from a string to the Container.
`java.lang.String` | `renderIdAttribute()` Needed for the possibility of mixed StyleContainer.
`java.lang.String` | `renderValueAttribute()` Returns the string representation of its content for the value attribute of the XML representation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CssDeclarationStyleContainer

    public CssDeclarationStyleContainer()

### CssDeclarationStyleContainer

    public CssDeclarationStyleContainer(java.lang.String text)

Method Detail

### parse

    public void parse(java.lang.String text)

  Description copied from class: `StyleContainer`
  Loads informations from a string to the Container.

  Specified by:
    `parse` in class `StyleContainer`
  Parameters:
    `text` - String

### renderValueAttribute

    public java.lang.String renderValueAttribute()

  Description copied from class: `StyleContainer`
  Returns the string representation of its content for the value attribute of the XML representation.

  Specified by:
    `renderValueAttribute` in class `StyleContainer`
  Returns:
    String

### renderIdAttribute

    public java.lang.String renderIdAttribute()

  Description copied from class: `StyleContainer`
  Needed for the possibility of mixed StyleContainer.

  Specified by:
    `renderIdAttribute` in class `StyleContainer`
  Returns:
    String id attribute for XML representation

### clone

    public CssDeclarationStyleContainer clone()

  Specified by:
    `clone` in class `StyleContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD